Google Scholar API
Google Scholarから学術論文の検索結果をリアルタイムで取得します。engine=google_scholar を設定し、トピックまたは論文タイトルを q に渡すことで、著者、引用数、PDFリンクを含む構造化された出版物リストを取得できます。
エンドポイント
Section titled “エンドポイント” GET https://serp.shifter.io/v1?engine=google_scholar&api_key=YOUR_API_KEY
パラメーター
Section titled “パラメーター”| パラメーター | 型 | 必須 | 説明 |
|---|---|---|---|
api_key | string | はい | あなたのSERP APIキー |
engine | string | はい | google_scholar を指定する必要があります |
q | string | はい | 検索クエリ |
lr | string | いいえ | 言語制限、形式は lang_xx |
hl | string | いいえ | インターフェース言語コード |
start | int | いいえ | ページネーション用の結果オフセット |
num | int | いいえ | 1ページあたりの結果数 |
as_vis | int | いいえ | 引用を除外する場合は 1、含める場合は 0 |
safe | string | いいえ | active または off |
cites | string | いいえ | Cited By検索をトリガーするための記事の一意ID |
as_ylo | int | いいえ | 含める最も古い年 |
as_yhi | int | いいえ | 含める最も新しい年 |
scisbd | int | いいえ | 抄録のみの場合は 1、すべての結果の場合は 0 |
リクエスト例
Section titled “リクエスト例”curl "https://serp.shifter.io/v1?engine=google_scholar&api_key=YOUR_API_KEY&q=python"import requests
params = { "engine": "google_scholar", "api_key": "YOUR_API_KEY", "q": "python",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_scholar', api_key: 'YOUR_API_KEY', q: 'python',});const data = await (await fetch(url)).json();レスポンス例
Section titled “レスポンス例”{ "search_parameters": { "engine": "google_scholar", "q": "python" }, "organic_results": [ { "position": 1, "title": "Python for data analysis", "result_id": "FDc6HiktlqEJ", "link": "https://example.com/paper.pdf", "snippet": "This book is concerned with the nuts and bolts of manipulating...", "publication_info": { "summary": "W McKinney - 2012 - oreilly.com" }, "inline_links": { "cited_by": { "total": 12000, "cites_id": "11234567" } } } ]}